Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression
Class ExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.aspectwerkz.expression.ExpressionException

All Implemented Interfaces:
  Serializable

    public class ExpressionException

extends RuntimeException

Thrown when error in the expression.

Author:
  Jonas Bonr
See Also:
  Serialized Form

Constructor Summary
`ExpressionException(String message)` Sets the message for the exception.
`ExpressionException(String message, Throwable throwable)` Sets the message for the exception and the original exception being wrapped.

Method Summary
`void` | `printStackTrace()` Print the full stack trace, including the original exception.
`void` | `printStackTrace(PrintStream ps)` Print the full stack trace, including the original exception.
`void` | `printStackTrace(PrintWriter pw)` Print the full stack trace, including the original exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionException

    public ExpressionException(String message)

  Sets the message for the exception.

  Parameters:
    `message` - the message

### ExpressionException

    public ExpressionException(String message,
                               Throwable throwable)

  Sets the message for the exception and the original exception being wrapped.

  Parameters:
    `message` - the detail of the error message
    `throwable` - the original exception

Method Detail

### printStackTrace

    public void printStackTrace()

  Print the full stack trace, including the original exception.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Print the full stack trace, including the original exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `ps` - the byte stream in which to print the stack trace

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Print the full stack trace, including the original exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `pw` - the character stream in which to print the stack trace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.